Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCanvasLine Class Reference
[canvas module]

The QCanvasLine class provides a line on a QCanvas. More...

`#include <qcanvas.h>`

Inherits QCanvasPolygonalItem.

List of all member functions.

## Public Members

- QCanvasLine ( QCanvas * canvas )
- ~QCanvasLine ()
- void setPoints ( int xa, int ya, int xb, int yb )
- QPoint startPoint () const
- QPoint endPoint () const
- virtual int rtti () const

## Detailed Description

The QCanvasLine class provides a line on a QCanvas.

The line inherits functionality from QCanvasPolygonalItem, for example the setPen() function. The start and end points of the line are set with setPoints().

Like any other canvas item lines can be moved with QCanvasItem::move() and QCanvasItem::moveBy(), or by setting coordinates with QCanvasItem::setX(), QCanvasItem::setY() and QCanvasItem::setZ().

See also Graphics Classes and Image Processing Classes.

## Member Function Documentation

### QCanvasLine::QCanvasLine ( QCanvas * canvas )

Constructs a line from (0,0) to (0,0) on canvas.

See also setPoints().

### QCanvasLine::~QCanvasLine ()

Destroys the line.

### QPoint QCanvasLine::endPoint () const

Returns the end point of the line.

See also setPoints() and startPoint().

### int QCanvasLine::rtti () const`[virtual]`

Returns 7 (QCanvasItem::Rtti_Line).

See also QCanvasItem::rtti().

Reimplemented from QCanvasPolygonalItem.

### void QCanvasLine::setPoints ( int xa, int ya, int xb, int yb )

Sets the line's start point to (xa, ya) and its end point to (xb, yb).

Example: canvas/canvas.cpp.

### QPoint QCanvasLine::startPoint () const

Returns the start point of the line.

See also setPoints() and endPoint().

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.